libnvme(9)

NAME
enum nvme_connect_err - nvme connect error codes

SYNOPSIS
enum nvme_connect_err {
ENVME_CONNECT_RESOLVE ,
ENVME_CONNECT_ADDRFAM ,
ENVME_CONNECT_TRADDR ,
ENVME_CONNECT_TARG ,
ENVME_CONNECT_AARG ,
ENVME_CONNECT_OPEN ,
ENVME_CONNECT_WRITE ,
ENVME_CONNECT_READ ,
ENVME_CONNECT_PARSE ,
ENVME_CONNECT_INVAL_TR ,
ENVME_CONNECT_LOOKUP_SUBSYS_NAME ,
ENVME_CONNECT_LOOKUP_SUBSYS ,
ENVME_CONNECT_ALREADY ,
ENVME_CONNECT_INVAL ,
ENVME_CONNECT_ADDRINUSE ,
ENVME_CONNECT_NODEV ,
ENVME_CONNECT_OPNOTSUPP ,
ENVME_CONNECT_CONNREFUSED ,
ENVME_CONNECT_ADDRNOTAVAIL ,
ENVME_CONNECT_IGNORED ,
ENVME_CONNECT_NOKEY };

Constants

ENVME_CONNECT_RESOLVE
    failed to resolve host

ENVME_CONNECT_ADDRFAM
    unrecognized address family

ENVME_CONNECT_TRADDR
    failed to get traddr

ENVME_CONNECT_TARG
    need a transport (-t) argument

ENVME_CONNECT_AARG
    need a address (-a) argument

ENVME_CONNECT_OPEN
    failed to open nvme-fabrics device

ENVME_CONNECT_WRITE
    failed to write to nvme-fabrics device

ENVME_CONNECT_READ
    failed to read from nvme-fabrics device

ENVME_CONNECT_PARSE
    failed to parse ctrl info

ENVME_CONNECT_INVAL_TR
    invalid transport type

ENVME_CONNECT_LOOKUP_SUBSYS_NAME
    failed to lookup subsystem name

ENVME_CONNECT_LOOKUP_SUBSYS
    failed to lookup subsystem

ENVME_CONNECT_ALREADY
    the connect attempt failed, already connected

ENVME_CONNECT_INVAL
    invalid arguments/configuration

ENVME_CONNECT_ADDRINUSE
    hostnqn already in use

ENVME_CONNECT_NODEV
    invalid interface

ENVME_CONNECT_OPNOTSUPP
    not supported

ENVME_CONNECT_CONNREFUSED
    connection refused

ENVME_CONNECT_ADDRNOTAVAIL
    cannot assign requested address

ENVME_CONNECT_IGNORED
    connect attempt is ignored due to configuration

ENVME_CONNECT_NOKEY
    the TLS key is missing